<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Cache-Control" content="no-cache" />
    <title>Таблица юзеров</title>
</head>
<link rel="stylesheet" type="text/css" href="css/app.css">
<script src="https://ajax.googleapis.com/ajax/libs/angularjs/1.0.7/angular.min.js"></script>
<script src="js/app.js"></script>
<body ng-app="UsersApp" ng-controller="UserController">
<table width = "100%">
    <tr>
        <td>
            <h1>Тестовое задание JavaRush</h1><br>
            <a href="mailto:max.nick.demax@gmail.com">max.nick.demax@gmail.com</a>
        </td>
        <td>
            <button ng-click="showAddUser()" class="pull-right btn-6d">Добавить пользователя</button>
        </td>

    </tr>
</table>

<form id="form_add" hidden>
    <table width="100%">
        <tr>
            <td>
                <p><label>Имя: <input  ng-model="add_name" name="name" required></label></p>
            </td>
            <td>
                <p><label>Возраст: <input ng-model="add_age" name="age" type="number" required></label></p>
            </td>
            <td>
                <input type="checkbox"  ng-model="add_admin" name="isAdmin" value="Администратор"> Администратор<br>
            </td>
            <td>
                <p><input ng-click="addUser()" type="submit" class="btn-6d" value="Добавить"></p>
            </td>
        </tr>
    </table>
</form>

<form id="form_update" hidden>
    <table width="100%">
        <tr>
            <td>
                <p><label ng-model="update_id"></label></p>
            </td>
            <td>
                <p><label>Имя: <input  ng-model="update_name" name="name" required></label></p>
            </td>
            <td>
                <p><label>Возраст: <input ng-model="update_age" name="age" type="number" required></label></p>
            </td>
            <td>
                <input type="checkbox"  ng-model="update_admin" name="isAdmin" value="Администратор"> Администратор<br>
            </td>
            <td>
                <p><input ng-click="updateUser()" type="submit" class="btn-6d" value="Обновить"></p>
            </td>
        </tr>
    </table>
</form>

<table class ="example-table" style="margin: 0;">
    <tr>
        <th>ID</th>
        <th>Имя<br>
        <input  type="text"  ng-model="name" ng-init="" ng-change="updateUsers()">
        </th>
        <th>Возраст</th>
        <th>Права администратора</th>
        <th>Дата регистрации</th>
        <th>Удалить</th>
    </tr>
    <tr ng-repeat="user in users">
        <td>{{user.id}}</td>
        <td>{{user.name}}</td>
        <td>{{user.age}}</td>
        <td>{{user.admin}}</td>
        <td>{{user.createDate| date:'yyyy-MM-dd HH:mm'}}</td>
        <td>
            <button ng-click="showUpdateUser(user)"
                    class="btn-6d">Редактировать</button>

            <button ng-click="deleteUser(user.id)"
                    class="btn-delete">Удалить</button></td>
    </tr>
</table>
<table>
    <tr>
    <button ng-click="loadPreviousPage()" class="btn-6d">Предыдущая</button>

    <button ng-click="loadNextPage()" class="pull-right btn-6d ">Дальше</button>
</tr>
</table>
</body>
</html>